Package org.eclipse.emf.compare.ide.ui.logical

# Interface IModelMinimizer

All Known Implementing Classes:
  `CompoundModelMinimizer`, `IdenticalResourceMinimizer`, `NullModelMinimizer`

@Beta public interface IModelMinimizer
This can be used in order to tell EMF Compare how to minimize the logical model to a reduced set of resources. For example, this can be used to remove all binary identical resources from the comparison scope, since we know there can be no differences on such resources.

Since:
  4.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IModelMinimizer.Registry`
A registry for model minimizers.

## Method Summary

Modifier and Type
Method
Description
`void`
`minimize(org.eclipse.core.resources.IFile file, SynchronizationModel syncModel, org.eclipse.core.runtime.IProgressMonitor monitor)`
This will be called to reduce the number of resources in this model's traversals based on the given starting point of the left logical model.
`void`
`minimize(SynchronizationModel syncModel, org.eclipse.core.runtime.IProgressMonitor monitor)`
This will be called to reduce the number of resources in this model's traversals.

## Method Details

### minimize

void minimize(SynchronizationModel syncModel, org.eclipse.core.runtime.IProgressMonitor monitor)
This will be called to reduce the number of resources in this model's traversals.

Parameters:
  `syncModel` - The synchronization model to be minimized.
  `monitor` - Monitor on which to report progress to the user.

### minimize

void minimize(org.eclipse.core.resources.IFile file, SynchronizationModel syncModel, org.eclipse.core.runtime.IProgressMonitor monitor)
This will be called to reduce the number of resources in this model's traversals based on the given starting point of the left logical model.

Parameters:
  `file` - The file that has been used as the starting point to resolve the left logical model.
  `syncModel` - The synchronization model to be minimized.
  `monitor` - Monitor on which to report progress to the user.
Since:
  4.4